﻿@model SYM.DataAccessLayer.route

@{
    ViewBag.Title = "Route Edit";
    Layout = "~/Views/Shared/Metr0n1c/_Metr0n1c.4.template.cshtml";
}
<style>
    .controls {
        margin-top: 10px;
        border: 1px solid transparent;
        border-radius: 2px 0 0 2px;
        box-sizing: border-box;
        -moz-box-sizing: border-box;
        height: 32px;
        outline: none;
        box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
    }

    #pac-input:focus {
        border-color: #4d90fe;
    }

    .pac-container {
        font-family: Roboto;
        background-color: #FFF;
        z-index: 10100;
        position: fixed;
        display: inline-block;
        float: left;
    }
</style>
<div class="row">
    <div class="col-md-12">
        <div class="note note-info">
            <button type="button" class="close" data-dismiss="alert"></button>
            <p>
                Lascia una traccia del tuo cammino con dati GPS, immagini, stato del percorso o semplici impressioni. In questo modo potrai aiutare chi vorrà ripetere la tua avventura.
            </p>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="portlet bordered light">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-gift"></i>
                    <span class="caption-subject font-green-haze bold uppercase">@Model.route_title</span>
                </div>
                <div class="tools">
                    <a href="javascript:;" class="collapse"></a>
                    <a href="#portlet-config" data-toggle="modal" class="config"></a>
                    <a href="javascript:;" class="reload"></a>
                    <a href="javascript:;" class="remove"></a>
                </div>
            </div>
            <div class="portlet-body form">
                <!-- BEGIN FORM-->
                @using (Html.BeginForm(Html.BeginForm("Edit", "Route", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { id = "formModal", @class = "form-horizontal" })))
                {
                    @Html.ValidationSummary(true)
                    @Html.HiddenFor(model => model.id)
                    @Html.HiddenFor(model => model.country_id, new { id = "routeCountry" })
                    <input type="hidden" id="startCity" name="startCity" value="">
                    <input type="hidden" id="startRegion" name="startRegion" value="">
                    <input type="hidden" id="startCountry" name="startCountry" value="">
                    <input type="hidden" id="startlat" name="startlat" value="">
                    <input type="hidden" id="startlng" name="startlng" value="">
                    <ul class="nav nav-tabs">
                        <li class="active">
                            <a href="#tab_mc_1" data-toggle="tab">Info Generali</a>
                        </li>
                        <li>
                            <a href="#tab_mc_2" id="Maps" data-toggle="tab">Info Topos</a>
                        </li>
                        <li>
                            <a href="#tab_mc_3" data-toggle="tab">Web Resource</a>
                        </li>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane fade active in" id="tab_mc_1">
                            @*<div class="form-body">*@
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Name topos <span class="required" aria-required="true">*</span></label>
                                        <div class="col-md-9">
                                            @Html.TextBoxFor(model => model.route_name, new { @class = "form-control" })
                                            @Html.ValidationMessageFor(model => model.route_name)
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Region <span class="required" aria-required="true">*</span></label>
                                        <div class="col-md-9">
                                            @Html.DropDownList("routeRegion", null, null, new { @class = "form-control select2me" })
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                            <div class="row">
                                <!--/span-->
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Mountain</label>
                                        <div class="col-md-9">
                                            <select id="routeMntn" name="routeMntn" class="form-control select2">
                                                <option value="@Html.DisplayFor(modelItem => modelItem.mountain_id)">@Html.DisplayFor(modelItem => modelItem.mountain.mntn_name)</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                                @if (Model.mntn_mountainrange != null)
                                {
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <div class="col-md-6">
                                                <select id="routeMntnGroup" name="routeMntnGroup" class="form-control select2me" disabled="disabled">
                                                    <option value="@Html.DisplayFor(modelItem => modelItem.mntn_mountaingroup.id)">@Html.DisplayFor(modelItem => modelItem.mntn_mountaingroup.mntnGroup_name)</option>
                                                </select>
                                            </div>
                                            <div class="col-md-6">
                                                <select id="routeMntnRange" name="routeMntnRange" class="form-control select2me" disabled="disabled" placeholder="Select mountain range...">
                                                    <option value="@Html.DisplayFor(modelItem => modelItem.mntn_mountainrange.id)">@Html.DisplayFor(modelItem => modelItem.mntn_mountainrange.mntnRange_name)</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                }
                                <!--/span-->
                            </div>                        
                            <!--/row-->
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Valley</label>
                                        <div class="col-md-9">
                                            @Html.DropDownList("routeValley", null, string.Empty, new { @class = "form-control select2me", data_placeholder = "Select valley..." })
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Partenza <span class="required" aria-required="true">*</span></label>
                                        <div class="col-md-9">
                                            <input id="pac-input" name="routeCity" class="form-control" type="text" placeholder="Seleziona località di partenza" value=" @((Model.geo_city != null) ? @Model.geo_city.city_name : "") ">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!--/row-->
                            <div class="row" style="height:350px;">
                                <div class="col-md-12">
                                    <div id="gmap_modal" style="width:100%; height:350px;"></div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="tab_mc_2">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Altitudine m.</label>
                                        <div class="col-md-9">
                                            @Html.TextBoxFor(model => model.route_altitude, new { @class = "form-control", placeholder = "Length...", type = "number" })
                                            @Html.ValidationMessageFor(model => model.route_altitude)
                                        </div>

                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Sviluppo/Dislivello</label>
                                        <div class="col-md-4">
                                            @Html.TextBoxFor(model => model.route_length, new { @class = "form-control", placeholder = "Length...", type = "number" })
                                            @Html.ValidationMessageFor(model => model.route_length)
                                        </div>
                                        <div class="col-md-5">
                                            @Html.TextBoxFor(model => model.route_height, new { @class = "form-control", placeholder = "Height...", type = "number" })
                                            @Html.ValidationMessageFor(model => model.route_height)
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Activity</label>
                                        <div class="col-md-9">
                                            @Html.DropDownList("routeActivity", null, string.Empty, new { @class = "form-control select2me", data_placeholder = "Select outdoor activity..." })
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Difficulty</label>
                                        <div class="col-md-9">
                                            @Html.TextBoxFor(model => model.difficulty_grade, new { @class = "form-control" })
                                            @Html.ValidationMessageFor(model => model.difficulty_grade)
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Esposizione</label>
                                        <div class="col-md-9">
                                            @*@Html.TextBoxFor(model => model.route_facing, new { @class = "form-control" })*@
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">N° Pitches</label>
                                        <div class="col-md-9">
                                            @Html.TextBoxFor(model => model.route_pitchAsc, new { @class = "form-control", type = "number" })
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">First Climbers</label>
                                        <div class="col-md-9">
                                            @Html.TextBoxFor(model => model.route_firstAscClimbers, new { @class = "form-control" })
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">1° Ascent Date</label>
                                        <div class="col-md-9">
                                            @Html.TextBoxFor(model => model.route_firstAscDate, new { @class = "form-control", type = "date" })
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                            </div>
                        </div>
                        <div class="tab-pane fade" id="tab_mc_3">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="control-label col-md-2">Url / PDF</label>
                                        <div class="col-md-9">
                                            @if (Model.route_webinfo.Count > 0)
                                            {
                                                @Html.TextBoxFor(model => model.route_webinfo.First().wi_url, new { @class = "form-control" })
                                            }
                                            else
                                            {
                                                <input class="form-control" id="wi_url" name="wi_url" type="text" value="">
                                            }
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-6">
                                    <div class="form-group">
                                    </div>
                                </div>
                                <!--/span-->
                            </div>
                        </div>
                    </div>
                    <div class="row margin-top-20">
                        <div class="col-md-12 text-right">
                            <button type="button" class="btn default">Close</button>
                            <button type="submit" class="btn btn-primary">@SYM.Localization.Resources.Views.Route.Create.Submit</button>
                        </div>
                    </div>
                }
                <!-- END FORM-->
            </div>

        </div>
    </div>
</div>
@section scripts {
<script type="text/javascript">

    MyApp.init();

    //Initialize Select DropDown
    $('.select2me').select2({
        allowClear: true,
        width: null,
        placeholder: ""
    });

    function SetInputs4Location(addressArray,lat,lng) {

        for (i = 0; i < addressArray.length; i++) {
            switch (addressArray[i].types[0]) {
                case "locality":
                    $("#startCity").val(addressArray[i].short_name);
                    break;
                case "administrative_area_level_1":
                    $("#startRegion").val(addressArray[i].long_name);
                    break;
                case "country":
                    $("#startCountry").val(addressArray[i].short_name);
                    break;
            }
        }

        $("#startlat").val(lat);
        $("#startlng").val(lng);
    }

    var iconBase = 'http://maps.google.com/mapfiles/kml/pal2/';
    var icons = {
        car: {
            icon: iconBase + 'icon47.png'
        },
        meta: {
            icon: iconBase + 'icon13.png'
        },
        parking: {
            icon: 'http://www.gstatic.com/mapspro/images/stock/1453-trans-parking.png'
        }
    };
    var map;

    var mapGeocoding = function () {

        @if(Model.mountain != null)
        {
        <text>
        map = new GMaps({
            lat: @Model.mountain.mntn_latitude.ToString().Replace(",","."),
            lng: @Model.mountain.mntn_longitude.ToString().Replace(",", "."),
            div: '#gmap_modal',
            zoom: 13
        });

        map.addMarker({
            lat: @Model.mountain.mntn_latitude.ToString().Replace(",","."),
            lng: @Model.mountain.mntn_longitude.ToString().Replace(",", "."),
            title: '@Model.mountain.mntn_name',
            label: 'M'
        });

        </text>

        if (@Model.geo_city != null){
            <text>
            map.addMarker({
            lat: @Model.geo_city.city_latitude.ToString().Replace(",", "."),
            lng: @Model.geo_city.city_longitude.ToString().Replace(",", "."),
            title: 'Località di partenza: @Model.geo_city.city_name',
            label: 'P'
            });
            </text>
        }
    }

    };
    setTimeout("mapGeocoding();", 100);

    $('#routeMntn').on("select2-selecting", function (e) {
        $('#routeMntnRange').select2('enable', false);
        $('#routeMntnGroup').select2('enable', false);
    });

    MyApp.Select2LookupMountain('#routeMntn', '/api/autocomplete/GetMountains', '#routeCountry', '#routeRegion');

    //CREATE Common JS to share with other pages
    var options = {
        types: ['(cities)']
    };

    var input = (document.getElementById('pac-input'));
    autocomplete = new google.maps.places.Autocomplete(input, options);

    google.maps.event.addListener(autocomplete, 'place_changed', function () {
        var place = autocomplete.getPlace();
        if (!place.geometry) {
            window.alert("Autocomplete's returned place contains no geometry");
            return;
        }
        map.removeMarkers();

        SetInputs4Location(place.address_components, place.geometry.location.lat(), place.geometry.location.lng());

        map.setCenter(place.geometry.location.lat(), place.geometry.location.lng());

        //Start
        map.addMarker({
            lat: place.geometry.location.lat(),
            lng: place.geometry.location.lng(),
            icon: icons["meta"].icon,
            title: 'Località Partenza'
        });

        //Peak
        map.addMarker({
            lat: mntn_lat,
            lng: mntn_lng,
            label: "M",
            title: mntn_txt
        });
    });

</script>
}